import { DataTableContextValue, CustomSettingsContextValue } from '../data-table.types';
export declare const DataTableContext: import('react').Context<DataTableContextValue<Record<string, unknown>> | null>;
export declare const CustomSettingsContext: import('react').Context<CustomSettingsContextValue | null>;
export declare const useDataTableContext: <T extends object = Record<string, unknown>>() => DataTableContextValue<T>;
export declare const useCustomSettingsContext: () => CustomSettingsContextValue;
